OROoro docs
Validator

Extend lease

Heartbeat to extend lease and mark run as RUNNING.

POST/v1/validator/evaluation-runs/{eval_run_id}/heartbeat

Path Parameters

eval_run_id*string

Evaluation run ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/v1/validator/evaluation-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/heartbeat" \  -H "Content-Type: application/json" \  -d '{}'
{
  "lease_expires_at": "2019-08-24T14:15:22Z"
}
{
  "detail": "string",
  "error_code": "EVAL_RUN_NOT_FOUND"
}
{
  "detail": "string",
  "error_code": "LEASE_EXPIRED"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}